Bug 1127264 - Creating alert notification of type Resource Operations ignores extraConfig field
Summary: Creating alert notification of type Resource Operations ignores extraConfig f...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: REST
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER01
: JON 3.3.0
Assignee: Libor Zoubek
QA Contact: Armine Hovsepyan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 13:39 UTC by Libor Zoubek
Modified: 2015-11-02 00:44 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:01:16 UTC


Attachments (Terms of Use)

Description Libor Zoubek 2014-08-06 13:39:51 UTC
Description of problem:

right now it is not possible to create alert notification with sender name "Resource Operations" and set input parameters for selected operation.

Version-Release number of selected component (if applicable):
JON 3.2.0

How reproducible: always


Steps to Reproduce:
1. via REST: create alert notification of type "Resource Operations", pass extraConfig to provide input parameters for operation.
2. open your alert notification in UI

Actual results:
notification is created, but without input parameters


Expected results: 
notification is created including input parameters

Additional info:

Comment 1 Libor Zoubek 2014-08-06 14:38:07 UTC
in master

commit 9916185a5097df1b25f6b246f913ec8301574674
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Wed Aug 6 16:36:29 2014 +0200

    Bug 1127264 - Creating alert notification of type Resource Operations
    ignores extraConfig field

Comment 2 Jirka Kremser 2014-08-06 16:26:39 UTC
branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/0a3d6dc5d
time:    2014-08-06 18:25:24 +0200
commit:  0a3d6dc5d2f09595002c43d070da5126dfa40cfc
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1127264 - Creating alert notification of type Resource Operations 
         ignores extraConfig field

         (cherry picked from commit
         9916185a5097df1b25f6b246f913ec8301574674) Signed-off-by: Jirka
         Kremser <jkremser@redhat.com>

Comment 3 Simeon Pinder 2014-08-19 23:50:22 UTC
Moving to ON_QA as available to test in the following brew build:

https://brewweb.devel.redhat.com//buildinfo?buildID=379025

Comment 4 Jan Bednarik 2014-08-27 13:47:19 UTC
Moving to VERIFIED.

I tested adding notification definition to alert defined for servers' EAP resource . The notification should trigger script execution. When inspected via web UI, all parameters were set as required using REST. Command used:

curl -u rhqadmin:rhqadmin -X POST -H 'Content-Type:application/json' http://<server_ip>:7080/rest/alert/definition/<alert_def_id>/notifications -d '{"senderName":"Resource Operations","config":{"operation-definition-id":10459},"extraConfig":{"file":"testscript.sh","triggerAvailability":"false","triggerDiscovery":"false","waitTime":12345,"killOnTimeout":"true"}}'


Note You need to log in before you can comment on or make changes to this bug.